#! /usr/bin/env python

import sys
from distutils.core import setup

# Patch distutils if it can't cope with
# the "classifiers" or "download_url" keywords.
if sys.version < '2.2.3':
  from distutils.dist import DistributionMetadata
  DistributionMetadata.classifiers = None
  DistributionMetadata.download_url = None

#
# Setup.
#
setup(name = 'npi',
      version = '0.3.3',
      description = 'NPI - Calculatrice en Notation Polonaise Inverse.',
      author = 'MiKael NAVARRO',
      author_email = 'klnavarro@gmail.com',
      maintainer = 'MiKael NAVARRO',
      maintainer_email = 'klnavarro@gmail.com',
      long_description = 'NPI is an unpretentious calculator in RPN mode.',
      license = 'GNU General Public License',
      url = 'https://gna.org/projects/npi',
      download_url = 'http://download.gna.org/npi',
      platforms = 'Theorically all platforms.',
      package_dir = {'': 'src'},
      packages = [''],
      data_files = [('share/doc/npi', ['AUTHORS', 'PKG-INFO', 'MANIFEST',
                                       'README', 'LISEZMOI', 'INSTALL',
                                       'COPYING', 'LICENSE',
                                       'NEWS', 'ChangeLog']),
                    ('share/doc/npi/rest', ['doc/npi.fr.rest'])],
      scripts=['src/npi.py', 'tools/ircnpi.py', 'tools/npibot.py'],
      classifiers = ['Development Status :: 5 - Production/Stable',
                     'Environment :: Console (Text Based)',
                     'Intended Audience :: End Users/Desktop',
                     'License :: OSI Approved :: GNU General Public License (GPL)',
                     'Operating System :: OS Independent',
                     'Programming Language :: Python',
                     'Topic :: Scientific/Engineering']
      )
